Bug 1025778 - Qgis crashes when trying to start up
Qgis crashes when trying to start up
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qgis (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 10:37 EDT by Jeffrey C. Ollie
Modified: 2013-11-19 16:47 EST (History)
4 users (show)

See Also:
Fixed In Version: qgis-2.0.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 16:47:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2013-11-01 10:37:39 EDT
Description of problem:
Qgis crashes when trying to start up:

$ qgis
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]
QGIS died on signal 11[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x0000003d3c0bc63c in waitpid () from /lib64/libc.so.6
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[Current thread is 1 (Thread 0x7fdf9598c8c0 (LWP 6677))]
#0  0x0000003d3c0bc63c in waitpid () from /lib64/libc.so.6
No symbol table info available.
#1  0x00000000004df637 in qgisCrash(int) ()
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x000000355e115a0d in QPainter::save() () from /lib64/libQtGui.so.4
No symbol table info available.
#4  0x000000385e6b380f in QwtPlot::drawItems(QPainter*, QRectF const&, QwtScaleMap const*) const () from /lib64/libqwt.so.6
No symbol table info available.
#5  0x0000000000773bf2 in QgsGPSInformationWidget::QgsGPSInformationWidget(QgsMapCanvas*, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#6  0x000000000051b791 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#7  0x00000000004da5a0 in main ()
No symbol table info available.
gdb returned 0
Aborted
$ 

Version-Release number of selected component (if applicable):
qgis-2.0.1-3.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start qgis
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Volker Fröhlich 2013-11-04 02:41:11 EST
Was that after an upgrade from an earlier Fedora release or is that a fresh installation?
Comment 2 Jeffrey C. Ollie 2013-11-04 10:09:32 EST
This is from a upgrade.  I did remove the .qgis and .qgis2 directories from my home directory though.
Comment 3 Matthias Kuhn 2013-11-04 10:15:07 EST
Can you also try to (re)move the .config/QGIS(2).conf, please.
Comment 4 Jeffrey C. Ollie 2013-11-04 10:27:23 EST
No luck.  Going to install debuginfo packages, for some reason abrt isn't catching this.

$ rm -rf .qgis2/
$ rm -rf .qgis/
$ rm -rf .config/QGIS
$ rm -rf .config/QuantumGIS
$ qgis
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]
QGIS died on signal 11[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x0000003d3c0bc63c in waitpid () from /lib64/libc.so.6
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[Current thread is 1 (Thread 0x7f5e7996e8c0 (LWP 8088))]
#0  0x0000003d3c0bc63c in waitpid () from /lib64/libc.so.6
No symbol table info available.
#1  0x00000000004df637 in qgisCrash(int) ()
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x000000355e115a0d in QPainter::save() () from /lib64/libQtGui.so.4
No symbol table info available.
#4  0x000000385e6b380f in QwtPlot::drawItems(QPainter*, QRectF const&, QwtScaleMap const*) const () from /lib64/libqwt.so.6
No symbol table info available.
#5  0x0000000000773bf2 in QgsGPSInformationWidget::QgsGPSInformationWidget(QgsMapCanvas*, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#6  0x000000000051b791 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#7  0x00000000004da5a0 in main ()
No symbol table info available.
gdb returned 0
Aborted
Comment 5 Jeffrey C. Ollie 2013-11-04 11:03:59 EST
Here is the traceback with debuginfo installed:

$ rm -rf .qgis .qgis2 .config/QGIS .config/QuantumGIS
$ qgis
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]
QGIS died on signal 11[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x0000003d3c0bc63c in __libc_waitpid (pid=20718, stat_loc=0x7fff13adc97c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:31
31	      return INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.1-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[Current thread is 1 (Thread 0x7f574833d8c0 (LWP 20717))]
#0  0x0000003d3c0bc63c in __libc_waitpid (pid=20718, stat_loc=0x7fff13adc97c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:31
        resultvar = 18446744073709551104
        oldtype = 20717
#1  0x00000000004df637 in qgisCrash (signal=<optimized out>) at /usr/src/debug/qgis-2.0.1/src/app/main.cpp:318
        status = 52
        pidstr = "--pid=20717\000\377\177\000\000\240\236\312\000\000\000\000\000\aS\375]5\000\000"
        gdbpid = <optimized out>
        exename = "/usr/bin/qgis\000\000\000\b\000\000\000\000\000\000\000\321\065R\354\000\200\377\377X", '\000' <repeats 15 times>, "\060\000\000\000\377\177\000\000\260̭\023\377\177\000\000\060ʭ\023\377\177\000\000\000\000\000\000\000\000 @\000\000\000\000\000\000 @", '\000' <repeats 17 times>, "(\210\302x\236y\326/ʭ\023\377\177\000\000\200\312\323\001\000\000\000\000\000\303\323\001\000\000\000\000\000(\210\302x\236y\326`ʭ\023\377\177\000\000pA\326\001\000\000\000\000@˭\023\377\177\000\000\320\374f\001\000\000\000\000\000M\244\001\000\000\000\000\000ϭ\023\377\177\000\000\240\236\312\000\000\000\000\000@ϭ\023\377\177\000\000"...
        len = <optimized out>
#2  <signal handler called>
No locals.
#3  QPainter::save (this=this@entry=0x7fff13add0c0) at painting/qpainter.cpp:1609
        d = 0x63
#4  0x000000385e6b380f in QwtPlot::drawItems (this=<optimized out>, painter=0x7fff13add0c0, canvasRect=..., maps=0x0) at qwt_plot.cpp:769
        item = 0x1d4e790
        it = {i = 0x1d638a0}
        itmList = @0x1c631c0: {{p = {static shared_null = {ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x1d63880}, d = 0x1d63880}}
#5  0x0000000000773bf2 in QgsGPSInformationWidget::QgsGPSInformationWidget (this=0x1c60c60, thepCanvas=<optimized out>, parent=<optimized out>, f=...) at /usr/src/debug/qgis-2.0.1/src/app/gps/qgsgpsinformationwidget.cpp:165
        mpHistogramWidget = <optimized out>
        mpHistogramLayout = <optimized out>
        mpPolarWidget = 0x1d3c300
        minorPen = {d = 0x1d64d80}
        mpPolarLayout = 0x1d655d0
        myPortMode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x0, static codecForCStrings = 0x0}
        mypSatellitesGrid = <optimized out>
        mySettings = {<QObject> = {_vptr.QObject = 0x1d64d80, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x7fff13add520}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8676f40 <qt_meta_stringdata_QSettings> "QSettings", data = 0x34f8676f60 <qt_meta_data_QSettings>, extradata = 0x34f88e79c0 <QSettings::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e4df0 <QSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        myPanMode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x0, static codecForCStrings = 0x0}
#6  0x000000000051b791 in QgisApp::QgisApp (this=0x18b7d00, splash=<optimized out>, restorePlugins=<optimized out>, parent=<optimized out>, fl=...) at /usr/src/debug/qgis-2.0.1/src/app/qgisapp.cpp:555
        centralWidget = 0x18fb900
        centralLayout = <optimized out>
        myRed = 255
        myGreen = 255
        myBlue = 255
        dbError = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        settings = {<QObject> = {_vptr.QObject = 0x34f88e7930 <vtable for QSettings+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x1af96f0}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8676f40 <qt_meta_stringdata_QSettings> "QSettings", data = 0x34f8676f60 <qt_meta_data_QSettings>, extradata = 0x34f88e79c0 <QSettings::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e4df0 <QSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        caption = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18ce780, static codecForCStrings = 0x0}
#7  0x00000000004da5a0 in main (argc=1, argv=0x7fff13ade358) at /usr/src/debug/qgis-2.0.1/src/app/main.cpp:981
        style = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        mySplashPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18b0dc0, static codecForCStrings = 0x0}
        qgis = <optimized out>
        retval = <optimized out>
        customizationsettings = <optimized out>
        systemEnvVars = {{d = 0x18b1610, e = 0x18b1610}}
        testFont = {<QIODevice> = {<QObject> = {_vptr.QObject = 0x34f88e7210 <vtable for QFile+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x18aec20}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8676b40 <qt_meta_stringdata_QIODevice> "QIODevice", data = 0x34f8676ba0 <qt_meta_data_QIODevice>, extradata = 0x34f88e7480 <QIODevice::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e49c0 <QIODevice::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}, static staticMetaObject = {d = {superdata = 0x34f88e7460 <QIODevice::staticMetaObject>, stringdata = 0x34f8676ac0 <qt_meta_stringdata_QFile> "QFile", data = 0x34f8676ae0 <qt_meta_data_QFile>, extradata = 0x34f88e7320 <QFile::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e4860 <QFile::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        myUserLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x34f88ea8e0 <QString::shared_empty>, static codecForCStrings = 0x0}
        myPixmap = {<QPaintDevice> = {_vptr.QPaintDevice = 0x355eaa2d30 <vtable for QPixmap+16>, painters = 0}, data = {d = 0x18afd80}}
        myLocaleOverrideFlag = <optimized out>
        myLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        qgistor = {<QObject> = {_vptr.QObject = 0x34f88e8ab0 <vtable for QTranslator+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x18af220}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8679220 <qt_meta_stringdata_QTranslator> "QTranslator", data = 0x34f8679240 <qt_meta_data_QTranslator>, extradata = 0x34f88e8b40 <QTranslator::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e6b10 <QTranslator::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        mypSplash = 0x18aef40
        mySettings = {<QObject> = {_vptr.QObject = 0x34f88e7930 <vtable for QSettings+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x18ae140}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8676f40 <qt_meta_stringdata_QSettings> "QSettings", data = 0x34f8676f60 <qt_meta_data_QSettings>, extradata = 0x34f88e79c0 <QSettings::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e4df0 <QSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        useCustomVars = <optimized out>
        i18nPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18aed60, static codecForCStrings = 0x0}
        qttor = {<QObject> = {_vptr.QObject = 0x34f88e8ab0 <vtable for QTranslator+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x18af4a0}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8679220 <qt_meta_stringdata_QTranslator> "QTranslator", data = 0x34f8679240 <qt_meta_data_QTranslator>, extradata = 0x34f88e8b40 <QTranslator::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e6b10 <QTranslator::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
        mySnapshotHeight = 600
        myHideSplash = <optimized out>
        myRestorePlugins = true
        pythonfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        myUseGuiFlag = <optimized out>
        mySnapshotFileName = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x34f88ea8e0 <QString::shared_empty>, static codecForCStrings = 0x0}
        mySnapshotWidth = 800
        myTranslationCode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18aee00, static codecForCStrings = 0x0}
        configpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        optionpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        myCustomization = <optimized out>
        myInitialExtent = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x166fc90, static codecForCStrings = 0x0}
        customizationfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xcab160, static codecForCStrings = 0x0}
        myApp = {<QApplication> = {<QCoreApplication> = {<QObject> = {_vptr.QObject = 0x385fafe890 <vtable for QgsApplication+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x34f8665260 <qt_meta_stringdata_QObject> "QObject", data = 0x34f8665300 <qt_meta_data_QObject>, extradata = 0x34f88e5b80 <QObject::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f859e420 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, d_ptr = {d = 0x166fcd0}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x34f866e1a0 <qt_meta_stringdata_Qt> "Qt", data = 0x34f8671ac0 <qt_meta_data_Qt>, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xcaae60, stringdata = 0x34f8677e00 <qt_meta_stringdata_QCoreApplication> "QCoreApplication", data = 0x34f8677ea0 <qt_meta_data_QCoreApplication>, extradata = 0x34f88e87a0 <QCoreApplication::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x34f85e6410 <QCoreApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static self = 0x0}, static staticMetaObject = {d = {superdata = 0x34f88e8780 <QCoreApplication::staticMetaObject>, stringdata = 0x355e658980 <qt_meta_stringdata_QApplication> "QApplication", data = 0x355e658bc0 <qt_meta_data_QApplication>, extradata = 0x355ea9eee0 <QApplication::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x355dfce520 <QApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}, static staticMetaObject = {d = {superdata = 0x355ea9eec0 <QApplication::staticMetaObject>, stringdata = 0x385f8443e0 <qt_meta_stringdata_QgsApplication> "QgsApplication", data = 0x385f844440 <qt_meta_data_QgsApplication>, extradata = 0x385fafe940 <QgsApplication::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x385f7f7f40 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static mFileOpenEventReceiver20001 = 0x0, static mFileOpenEventList20001 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xca9540}, d = 0xca9540}}, <No data fields>}, static mPrefixPath20001 = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18ab440, static codecForCStrings = 0x0}, static mPluginPath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x18ac000, static codecForCStrings = 0x0}, static mPkgDataPath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x18aa900, static codecForCStrings = 0x0}, static mLibraryPath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x18ab340, static codecForCStrings = 0x0}, static mLibexecPath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x18adf10, static codecForCStrings = 0x0}, static mThemeName20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x1a74530, static codecForCStrings = 0x0}, static mDefaultSvgPaths20001 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x18acb20}, d = 0x18acb20}}, <No data fields>}, static mSystemEnvVars20001 = {{d = 0x0, e = 0x0}}, static mConfigPath20001 = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 1}, alloc = 0, size = 0, data = 0xcab17a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 79}, alloc = 0, size = 0, data = 0x34f88ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x18adf60, static codecForCStrings = 0x0}, static mRunningFromBuildDir20001 = false, static mBuildSourcePath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x0, static codecForCStrings = 0x0}, static mBuildOutputPath20001 = {static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0xcab160, static codecForCStrings = 0x0}, static mGdalSkipList20001 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 1}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x0}, d = 0x0}}, <No data fields>}}
gdb returned 0
Aborted
Comment 6 Volker Fröhlich 2013-11-05 02:29:16 EST
That's connected to an update in qwtpolar. Working on it!
Comment 7 Fedora Update System 2013-11-10 08:36:09 EST
qgis-2.0.1-6.fc20, qwtpolar-1.1.0-0.2.rc1.fc20, qwt-6.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-20325/qgis-2.0.1-6.fc20,qwtpolar-1.1.0-0.2.rc1.fc20,qwt-6.1.0-1.fc20
Comment 8 Fedora Update System 2013-11-10 21:32:04 EST
Package qgis-2.0.1-6.fc20, qwtpolar-1.1.0-0.2.rc1.fc20, qwt-6.1.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qgis-2.0.1-6.fc20 qwtpolar-1.1.0-0.2.rc1.fc20 qwt-6.1.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20325/qgis-2.0.1-6.fc20,qwtpolar-1.1.0-0.2.rc1.fc20,qwt-6.1.0-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-19 16:47:56 EST
qgis-2.0.1-6.fc20, qwtpolar-1.1.0-0.2.rc1.fc20, qwt-6.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.